> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/representative/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server. # Get GET https://api.mercoa.com/entity/{entityId}/representative/{representativeId} Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/representative/get ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `entityId` (string, required) — Entity ID or Entity ForeignID - `representativeId` (string, required) ## Response ### 200 - `id` (string, required) - `name` (object, required) - `firstName` (string, required) - `lastName` (string, required) - `middleName` (string, optional) - `suffix` (string, optional) - `address` (object, required) - `addressLine1` (string, required) - `city` (string, required) - `stateOrProvince` (string, required) — State or province code. Must be in the format XX. - `postalCode` (string, required) — Postal code. Must be in the format XXXXX or XXXXX-XXXX. - `addressLine2` (string, optional) - `country` (string, optional) - `birthDateProvided` (boolean, required) - `governmentIDProvided` (boolean, required) - `responsibilities` (object, required) - `jobTitle` (string, optional) - `isController` (boolean, optional) — Indicates whether this individual has significant management responsibilities within the business - `isOwner` (boolean, optional) — Indicates whether this individual has an ownership stake of at least 25% in the business - `ownershipPercentage` (integer, optional) — Percentage of ownership in the business. Must be between 0 and 100. - `createdOn` (datetime, required) - `updatedOn` (datetime, required) - `phone` (object, optional) - `countryCode` (string, required) - `number` (string, required) - `email` (string, optional) - `disabledOn` (datetime, optional) ## Errors ### 400 Bad Request - `errorName` ("BadRequest", required) - `content` (string, required) ### 401 Unauthorized - `errorName` ("Unauthorized", required) - `content` (string, required) ### 403 Forbidden - `errorName` ("Forbidden", required) - `content` (string, required) ### 404 Not Found - `errorName` ("NotFound", required) - `content` (string, required) ### 409 Conflict - `errorName` ("Conflict", required) - `content` (string, required) ### 500 Internal Server Error - `errorName` ("InternalServerError", required) - `content` (string, required) ### 501 Unimplemented - `errorName` ("Unimplemented", required) - `content` (string, required) ## Examples **Response** ```json { "id": "rep_7df2974a-4069-454c-912f-7e58ebe030fb", "name": { "firstName": "John", "lastName": "Adams", "middleName": "Quincy", "suffix": "Jr." }, "address": { "addressLine1": "123 Main St", "city": "San Francisco", "stateOrProvince": "CA", "postalCode": "94105", "addressLine2": "Unit 1", "country": "US" }, "birthDateProvided": true, "governmentIDProvided": true, "responsibilities": { "isController": true, "isOwner": true, "ownershipPercentage": 40 }, "createdOn": "2024-01-01T00:00:00Z", "updatedOn": "2024-01-01T00:00:00Z", "phone": { "countryCode": "1", "number": "4155551234" }, "email": "john.doe@acme.com", "disabledOn": null } ``` **SDK Code** ```python BusinessPayorRepresentative import requests url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative/rep_7df2974a-4069-454c-912f-7e58ebe030fb" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```typescript BusinessPayorRepresentative import { MercoaClient } from "@mercoa/javascript"; const client = new MercoaClient({ token: "YOUR_TOKEN" }); await client.entity.representative.get("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c", "rep_7df2974a-4069-454c-912f-7e58ebe030fb"); ``` ```go BusinessPayorRepresentative package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative/rep_7df2974a-4069-454c-912f-7e58ebe030fb" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby BusinessPayorRepresentative require 'uri' require 'net/http' url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative/rep_7df2974a-4069-454c-912f-7e58ebe030fb") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java BusinessPayorRepresentative import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative/rep_7df2974a-4069-454c-912f-7e58ebe030fb") .header("Authorization", "Bearer ") .asString(); ``` ```php BusinessPayorRepresentative request('GET', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative/rep_7df2974a-4069-454c-912f-7e58ebe030fb', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp BusinessPayorRepresentative using RestSharp; var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative/rep_7df2974a-4069-454c-912f-7e58ebe030fb"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift BusinessPayorRepresentative import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative/rep_7df2974a-4069-454c-912f-7e58ebe030fb")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```